﻿@model SendMailToPlayerViewModel
<div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
    <h3 id="myModalLabel2" class="text-left">Email Recipient</h3>
</div>

@using (Ajax.BeginForm("SendMailConfirmation", "Communication", null, new AjaxOptions { HttpMethod = "post", OnSuccess = "onSuccessRecipient", OnBegin = "onBeginRecipient", OnComplete = "onCompleteRecipient" }
    , new { @class = "form-items pull-left", @id = "sendMailRecipient" }))
{
    
    <div class="modal-body mail-recipient">
        @Html.ValidationSummary(false)
        <div class="form-item pull-left">
            <div class="steps step2">
                <div class="progress">
                    <div class="bar"></div>
                </div>
                <ul>
                    <li class="img-circle done">1</li>
                    <li class="img-circle active">2</li>
                    <li class="img-circle">3</li>
                </ul>
            </div>
            <div class="textsteps hidden-phone">
                <ul>
                    <li>Content</li>
                    <li>Recipients</li>
                    <li>Delivery</li>
                </ul>
            </div>
            <div class="form-group">
                <div class="form-group pull-left email-to">
                    @Html.HiddenFor(m => m.ClubDomain)
                    @Html.HiddenFor(m => m.Domain)
                    @Html.HiddenFor(m => m.Name)
                    @Html.HiddenFor(m => m.EventType)
                    @Html.HiddenFor(m => m.CategoryId)
                    @Html.HiddenFor(m => m.Mode)
                    @Html.HiddenFor(m => m.Subject)
                    @Html.HiddenFor(m => m.Body)
                    @Html.HiddenFor(m => m.From)
                    @Html.HiddenFor(m => m.FileNames)
                    @Html.Hidden("nextRecipient", true)
                    @Html.Hidden("searchFilter", false)
                    @Html.Label("Please select the events to send Email to their attendess")

                </div>
                <div id="SearchFilters" class="pull-left search-filters">
                    <div class="events pull-left">
                        <div class="pull-left title">
                            <h3 class="event-title">Events</h3>
                        </div>
                        <div class="pull-left body">
                            <div class="content-box pull-left">
                                @foreach (var item in Model.Events)
                                {  
                                    @Html.Partial("_ViewSendMailEventRowItem", item)
                                }
                            </div>
                        </div>
                    </div>
                    <div class="pull-right search-btn">
                        <button id="btnFilterEvent" type="button" class="btn btn-mini btn-grey pull-right">Search</button>
                    </div>
                </div>
                <div class="form-group pull-left content" id="listOfEmails">
                    @Html.Partial("_ViewSendMailViewEmails", Model)

                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer text-right">
        <button type="button" class="btn btn-grey loading" id="btnBackRecipient">Back</button>
        <button type="button" class="btn btn-warning loading" data-loading-text="Next..." id="btnNextRecipient">Next</button>

    </div>
}
<script type="text/javascript" src="~/Scripts/jquery.validate.min.js"></script>
<script type="text/javascript" src="~/Scripts/jquery.validate.unobtrusive.min.js"></script>

<script type="text/javascript">

    $("#btnNextRecipient").on("click", function () {
        $("#nextRecipient").val(true);
        $("#searchFilter").val(false);
        $("#sendMailRecipient").submit();

    });

    $("#btnBackRecipient").on("click", function () {
        $("#nextRecipient").val(false);
        $("#searchFilter").val(false);
        $("#sendMailRecipient").submit();
    });

    $("#btnFilterEvent").on("click", function () {
        $("#searchFilter").val(true);
        $("#sendMailRecipient").submit();
    });

    $(".loading").click(function () {
        $(this).button("loading");
    });
    // scroll for recipient list
    $('#list').slimscroll({
        height: '300px'
    });

</script>
